Bug 125417 - gimlet invisible when there are no status text passed from LE
gimlet invisible when there are no status text passed from LE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
: 125418 (view as bug list)
Depends On:
Blocks: IIIMF
  Show dependency treegraph
Reported: 2004-06-06 12:42 EDT by Jens Petersen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 11.4-68.svn1833
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-06 05:23:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2004-06-06 12:42:30 EDT
Description of problem:
When gimlet is started up with no active gtk app using iiim,
it remains invisible in the panel with zero width.

How reproducible:
every time

Steps to Reproduce:
1. Add gimlet to gnome panel.
Actual results:
Nothing appears.

Expected results:
Some visual feedback that gimlet is actually running.
Comment 1 Aaron Gaudio 2004-06-11 09:24:11 EDT
Just in case this is 'per design', I think it is a flawed design.
Gimlet should show up as soon as you add it, and should not go away
until you manually remove it. 

Otherwise, it should not be an applet, it should be a system tray
icon, and I still wouldn't like the operability.
Comment 2 Akira TAGOH 2004-06-13 21:01:44 EDT
Whether it should be the applet or not is different issue. even if
gimlet is moved to the systray, it can shows nothing as well. is it
also the design, isn't it? :) but, yeah, it's bad design, though.
Comment 3 Lawrence Lim 2004-06-21 02:54:00 EDT
Problem still persists in -60 of im-sdk
Comment 4 Leon Ho 2004-06-23 21:02:05 EDT
Can we turn on the Icon feature in GIMLET by default? 
Comment 5 Leon Ho 2004-07-26 22:22:55 EDT
*** Bug 125418 has been marked as a duplicate of this bug. ***
Comment 6 Jens Petersen 2004-08-06 05:23:52 EDT
Yes, we shall have an icon on by default.

Fixed in rawhide now anyway.

Note You need to log in before you can comment on or make changes to this bug.